Bug 186847 - need Accessibility support for input method modules
Summary: need Accessibility support for input method modules
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, i18n
Depends On:
Blocks: 169147
TreeView+ depends on / blocked
 
Reported: 2006-03-27 02:09 UTC by Lawrence Lim
Modified: 2014-09-04 05:08 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-04 05:08:04 UTC


Attachments (Terms of Use)
exposing scim AT information (45.95 KB, image/png)
2006-03-28 03:28 UTC, Lawrence Lim
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 346780 None None None Never
GNOME Bugzilla 426242 None None None Never

Description Lawrence Lim 2006-03-27 02:09:56 UTC
Description of problem:
Our automation framework relies on the assistive information provided by
applications. At the moment, scim icon on the systray does not provide enough
information to facilitate automation (pls see attached screenshot). 

Version-Release number of selected component (if applicable):
scim-1.4.4-9

How reproducible:
Always

Steps to Reproduce:
1.use at-poke or sniff application to seek AT information
2.
3.
  
Actual results:
not enough information

Expected results:
sufficient information to allow automation

Additional info:

Comment 1 Jens Petersen 2006-03-28 03:24:05 UTC
You're going to attach a screenshot? :)

Comment 2 Lawrence Lim 2006-03-28 03:28:38 UTC
Created attachment 126875 [details]
exposing scim AT information

Oops..sorry. :-)

Comment 3 Jens Petersen 2006-03-29 13:17:17 UTC
Tooltips doesn't help btw does it?

Comment 4 Lawrence Lim 2006-03-29 13:52:09 UTC
That may increase the complexity because it requires mouse-over to reveal the
tooltips? 

Comment 5 Jens Petersen 2007-11-08 01:34:14 UTC
Is this still important for QE automated testing?

Comment 6 Lawrence Lim 2007-11-20 01:10:02 UTC
I think it is a good feature worth considering for F9 with QT4 will support
AT-SPI on X11 Systems.

<http://doc.trolltech.com/4.0/qt4-accessibility.html>



Comment 7 Tony Fu 2008-09-10 03:12:50 UTC
requested by Jens Petersen (#27995)

Comment 9 Matthias Clasen 2014-09-04 05:08:04 UTC
this needs to be done upstream, and for gtk3 at this point


Note You need to log in before you can comment on or make changes to this bug.